Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.msv.verifier.regexp
Class StringToken

    java.lang.Object
      com.sun.msv.verifier.regexp.Token
          com.sun.msv.verifier.regexp.StringToken

public class StringToken
extends Token

chunk of string. ID validation depends on the immutability of this object.

Author:
  Kohsuke KAWAGUCHI

Field Summary
`IDContextProvider2` | `context`
`java.lang.String` | `literal`
`DatatypeRef` | `refType` if this field is non-null, this field will receive assigned DataType object.

Constructor Summary
`StringToken(REDocumentDeclaration docDecl, java.lang.String literal, IDContextProvider2 context)`
`StringToken(REDocumentDeclaration docDecl, java.lang.String literal, IDContextProvider2 context, DatatypeRef refType)`
`StringToken(ResidualCalculator resCalc, java.lang.String literal, IDContextProvider2 context, DatatypeRef refType)`

Method Summary
`boolean` | `match(DataExp exp)` DataExp can consume this token if its datatype can accept this string
`boolean` | `match(ListExp exp)` ListExp can consume this token if its pattern accepts this string
`boolean` | `match(ValueExp exp)`
`boolean` | `matchAnyString()` returns true if anyString pattern can consume this token

Methods inherited from class com.sun.msv.verifier.regexp.Token
`match, match`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### literal

    public final java.lang.String literal

### context

    public final IDContextProvider2 context

### refType

    public DatatypeRef refType

  if this field is non-null, this field will receive assigned DataType object.

Constructor Detail

### StringToken

    public StringToken(REDocumentDeclaration docDecl,
                       java.lang.String literal,
                       IDContextProvider2 context)

### StringToken

    public StringToken(REDocumentDeclaration docDecl,
                       java.lang.String literal,
                       IDContextProvider2 context,
                       DatatypeRef refType)

### StringToken

    public StringToken(ResidualCalculator resCalc,
                       java.lang.String literal,
                       IDContextProvider2 context,
                       DatatypeRef refType)

Method Detail

### match

    public boolean match(DataExp exp)

  DataExp can consume this token if its datatype can accept this string

  Overrides:
    `match` in class `Token`

### match

    public boolean match(ValueExp exp)

  Overrides:
    `match` in class `Token`

### match

    public boolean match(ListExp exp)

  ListExp can consume this token if its pattern accepts this string

  Overrides:
    `match` in class `Token`

### matchAnyString

    public boolean matchAnyString()

  Description copied from class: `Token`
  returns true if anyString pattern can consume this token

  Overrides:
    `matchAnyString` in class `Token`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD